#include <iostream>
using namespace std;
 
   int main()
   {
    int p, q, r;
    long long int min, max, q1, p1, r1, k;
    k=0;
    
    scanf>>p>>q>>r>>min>>max;
    for(int i = min;i<=max;i++){
    if(i%p!=0){
        p1=i/p+1;
    }else{
        p1=i/p;
    }
    if(i%q!=0){
        q1=i/q+1;
    }else{
        q1=i/q;
    }
    if(i%r!=0){
        r1=i/r+1;
    }else{
        r1=i/r;
    }
    if(i>=p1+q1+r1){
        k++;
    }
    }
    printf<<k;
    return 0;
   }